#
# spec file for package m4
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           m4
Version:        1.4.17
Release:        0
Summary:        GNU m4
License:        GPL-3.0+
Group:          Development/Languages/Other
Url:            http://www.gnu.org/software/m4/
Source0:        http://ftp.gnu.org/pub/gnu/m4/%{name}-%{version}.tar.bz2
Source1:        http://ftp.gnu.org/pub/gnu/m4/%{name}-%{version}.tar.bz2.sig
Source2:        %{name}.keyring
Requires(pre):  %{install_info_prereq}
Provides:       base:%{_bindir}/m4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNU m4 is an implementation of the traditional Unix macro processor.

%prep
%setup -q

%build
%configure \
	    --without-included-regex \
	    gl_cv_func_isnanl_works=yes \
	    gl_cv_func_printf_directive_n=yes \
	    gl_cv_func_printf_infinite_long_double=yes
make %{?_smp_mflags}

%check
make %{?_smp_mflags} check  || :

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files
%defattr(-,root,root)
%doc README COPYING NEWS THANKS TODO ChangeLog
%{_bindir}/*
%doc %{_infodir}/*.gz
%{_mandir}/*/*

%changelog
